Текущая версия
-------------
- исправлена совместимость с TLargeIntField
- [server] исправлена ошибка с потоками в клиенте
+ добавлены некоторые свойства dbxdatabase
- исправлена ошибка с DefaultPath в XLS экспорте

Версия 3.23
-------------
+ добавлена возможность сохранения в stream в экспортах Jpeg, Gif, Tiff, Bmp
+ добавлен новый элемент управления для выбора режима экспорта колонтитулов в диалоге RTF экспорта
+ добавлено новое свойство TfrxRTFExport.HeaderFooterMode 
  (можно выбирать между hfText, hfPrint, hfNone - по умолчанию hfText)
+ [server] добавлено свойство TfrxReportServer.WebServer
+ добавлено свойство TfrxHTMLExport.EmptyLines
* e-mail экспорт теперь может формировать имя файла приложения из имени файла экспорта
* обновлены Датские ресурсы
- исправлена ошибка при экспорте в монохромный TIFF формат
- исправлена ошибка в PDF экспорте, когда Outline пуст и выбран для экспорта
- исправлена ошибка с тулбарами при крупных шрифтах (120 dpi)
- исправления экспорта штрих-кодов в PDF формат
- исправлены ошибки в add-in компонентах (AV при открытии проектов)
- исправлена ошибка с позиционированием страницы в превью
- исправлена ошибка при пересечении RichText объектов в RTF экспорте
- исправлена ошибка с форматом чисел в XLS экспорте
- исправлена ошибка с экспортом штрихкодов
- исправлена ошибка, когда номер не находится в диапазоне страниц в далоге экспорта
- [server] исправлена ошибка с амперсандом в переменных запроса
- исправлена ошибка в XML экспорте (XML Parsing Error)
- исправлена ошибка с HideIfSingleDataRecord

Версия 3.22
-------------
+ добавлена полная поддержка возможностей TeeChart Pro
+ добавлено свойство TfrxHTMLExport.Centered
+ добавлен чекбокс "Continuous" в диалоге RTF экспорта
+ добавлено свойство TfrxRTFExport.SuppressPageHeadersFooters
+ добавлено свойство TfrxCheckBox.UncheckStyle
+ добавлено свойство TfrxGroupFooter.HideIfSingleDataRecord
+ добавлен сдвиг текста при ненулевом межсимвольном интервале в PDF экспорте
* обновлено главное (main) демо (подержка ADO, добавлены новые отчеты)
* добавлено имя объекта в сообщение об ошибке в некоторых случаях
* TfrxGradientView не экспортируется в форматы HTML, RTF, XLS
* сохранение имен объектов при работе с буфером обмена
* обновлены Датские ресурсы
* обновлены Португальские ресурсы
* улучшен HTML, RTF экспорты
* улучшены экспорты в XML, Excel (спасибо Bali)
* увеличен таймаут в E-Mail экспорте
- исправлена ошибка при экспорте пустой страницы в HTML экспорте
- исправлен баг в функции IIF
- исправлена ошибка с "ShowProgress := False" в XLS экспорте
- исправлена ошибка в XML экспорте
- исправлена ошибка с бэндом reportsummary
- исправлены утечки памяти в скрипте
- исправлены ошибки со сдвигом
- исправлен экспорт заливки bsBDiagonal и bsFDiagonal в PDF
- исправлена ошибка с некорректным значением кодовой страницы TfrxRichView в RTF экспорте
- исправлена ошибка с полями в PDF экспорте
- исправлена ошибка с blobfield в bds2006
- исправлена ошибка с растягиванием картинок
- [server] исправлена ошибка в кеше отчетов
- [server] исправлена ошибка с использованием времени простоя
- [server] незначительные исправления

Версия 3.21
-------------
+ [server] добавлены новые свойства в конфигурационый файл (config.xml)
+ [server] добавлены новые выходные форматы CSV, BMP, GIF, TIFF
+ [server] добавлена возможность кеширования отчетов в памяти
* [server] полностью изменен формат конфигурационного файла 
  (важно! читайте подробнее в server_changes_rus.txt)
* [server] свойство TfrxServer.Configuration устарело и более не используется
* [server] обновлены примеры server/service
* [server] модифицированы модули log-writer, statistic, cache
- [server] много исправлений
+ добавлено свойство TfrxHTMLExport.UseGif
+ добавлена поддержка юникода в HTML, "Rich Text" (RTF) и XML экспортах
+ добавлены свойства TfrxXLSExport.SuppressPageHeadersFooters и TfrxXLSExport.SuppressPageHeadersFooters;
+ добавлено свойство TfrxReport.OnPreview
+ добавлено свойство TfrxReport.OnPrintPage
+ [FQB] добавленно свойство fqbCore.UsingQuotes для поддержки имен полей в кавычках
+ добавлено отсечение объектов в превью
+ добавлены свойства TfrxPreview.BackColor, FrameColor
+ добавлены шрифты принтера в список выбора шрифтов
+ добавлена прозрачность/цвет заливки в объект Rich
+ добавлено событие TfrxDesigner.OnInsertObject
* изменения в редакторе датабэнда
* изменен чекбокс "Pictures" на комбобокс (none/jpeg/bmp/gif) в диалоге HTML экспорта 
* изменен чекбокс "Styles" на "Continuous" в XLS и XML экспортах
* bcb2006 совместимость
* обновлены Голландские ресурсы
- исправлена ошибка с неправильным определением кодовой страницы в навигаторе страниц HTML экспорта
- исправлен некорректный экспорт EAN штрихкодов (цифры за границей штрихкода обрезались)
- исправлено неверное разбиение на страницы в RTF экспорте
- исправлена проблема со сдвигом объектов
- исправлено растягивание монохромных изображений
- исправлен TfrxDateEditControl
- исправлена ошибка при копировании сгруппированных объектов
- исправлена ошибка vband&overlay
- исправлена установка параметров печати
- испрпавлено поведение KeepFooter + агрегатные функции
- исправлена ошибка в св-ве TfrxADOTable.IndexFieldNames
- исправлена ошибка в параметрах ADO
- исправления в мастере database/table/query
- исправлена ошибка с font charset в RTF экспорте
- исправлена ошибка в отрисовке превью
- исправлена ошибка с объектом Rich, если нет установленных принтеров
- исправлены копии в экспорте в матричный отчет
- исправлена ошибка в разборе выражений в объекте Rich
- исправлена ошибка с mdi preview
- исправлена ошибка со скобками в RTL тексте при экспорте в PDF
- исправлена ошибка с вводом китайских символов в диалоговые контролы
- исправлено поведение сдвига объектов (shiftmode)
- исправлена ошибка с правым выравниванием и ненулевым межсимвольным интервалом в PDF экспорте
- исправлена ошибка с подчеркиваниями в HTML экспорте
- исправлена ошибка с бэндом overlay и keeptogether
- исправлена ошибка с bcb5 (не работают функции с параметрами)
- исправлены ошибки с крупными шрифтами в системе
- исправлены ошибки с html тэгами


Версия 3.20
-------------
+ улучшен экспорт в RTF
+ добавлено управление font.charset (установите в DEFAULT_CHARSET если вам нужен unicode)
+ добавлено свойство EmptyLines в XLS и XML экспорт 
  (если установлено в 'false', то все пустые строки убираются, 
  используется при экспорте без разрывов страниц для получения непрерывной таблицы)
+ добавлена поддержка ParagraphGap в PDF экспорте
+ увеличена скорость и уменьшен размер выходного файла в PDF экспорте
+ добавлено событие TfrxReport.OnBeforeConnect
+ добавлена поддержка ADO, IBX в импортер frf
+ добавлено свойство TfrxADOQuery.CommandTimeout
+ добавлен элемент pbExportQuick множества TfrxPreviewButtons 
 (включение отображения кнопок быстрого экспорта (PDF, E-mail) в окне предварительного просмотра)
* функция AVG считает только не-Null значения
* объект RichView теперь поддерживает WYSIWYG
- [server] исправлена ошибка с передачей параметров при обновлении отчета
- исправлена ошибка в RTF экспорте с аттрибутами стиля шрифта
- исправлена ошибка с отрисовкой рамок в PDF экспорте
- исправлена ошибка с размером бумаги
- исправлен ParagraphGap в PDF экспорте
- исправлена ошибка stack overflow с бэндом report summary
- исправлена ошибка с диалоговой формой
- исправлена ошибка TProgressBar property out of range при экспорте пустой страницы в HTML
- исправлена ошибка в PDF экспорте с нулевой высотой/шириной bitmap изображения
- [FS] исправлен вывод об ошибках в OLE
- исправлена ошибка в объекте checkbox
- исправлена ошибка в datatree
- исправлена ошибка в chart (тип datetime)
- исправлена ошибка с окном инспектора в режиме отладки
- исправлена операция Undo защищенного паролем отчета
- исправлены ошибки в датасетах
- исправлено сохранение файла в дизайнере при открытии другого файла
- исправлен PDF экспорт (цвет шрифта clNone теперь виден как clBlack) 


Версия 3.19
-------------
+ добавлен отдельный пакет frxTee для TeeChart
+ добавлен модуль frxHiButtons.pas (hi-color кнопки). Просто добавьте в список uses.
+ добавлена закладка "Классы" в дерево данных
+ добавлено свойство TfrxBarcodeView.WideBarRatio
+ добавлена поддержка китайских CJK шрифтов в PDF экспорт
- исправления связанные с мультипоточностью
- исправлена ошибка в комбинации cross+subreport
- исправлена ошибка с CloseDatasource = True
- исправлена ошибка в старых кроссах
- исправлена ошибка в XLS(OLE) экспорте с длинными строками
- исправлена ошибка в PDF экспорте с не-TrueType шрифтами
- исправлено чтение memo.loadfromfile
- исправлена ошибка в инсталляторе
- исправлен баг с печатью reporttitle дважды
- исправлено поведение startnewpage+reprintonnewpage
- исправлен межсимвольный интервал в PDF экспорте
- исправлен баг с выравниванием baClient
- исправлен баг с матричными объектами (дизайнер, ядро)
- исправлен баг с иконкой приложения
- FS: исправлен баг с многопоточностью
- исправлен баг в превью (отображение страницы при смене масштаба)
- исправлен импорт frf


Версия 3.18
-------------
+ добавлена совместимость с D2006
+ добавлена поддержка зачеркнутого текста в HTML экспорт
+ добавлена поддержка межсимвольного интервала при экспорте в формат PDF
+ добавлена поддержка BALTIC_CHARSET (windows-1257) в PDF экспорт
+ добавлена поддержка диагональных линий TfrxShapeView в PDF экспорт
+ добавлен модуль импорта FRF. Для его использования просто включите файл frx2xto30.pas в секцию "uses".
- исправлено редактирование на месте объекта Текст
- исправлена ошибка с экспортом в монохромный TIFF формат
  (ошибка открытия в MS Paint и Photo Editor) 
- исправлена ошибка в компонентах dbx
- исправлена ошибка с выбором лотка бумаги
- исправлены ошибки в e-mail экспорте (свойства Lines, Signature,
  с прикреплением файлов, неправильный синтаксис адреса 
  при работе с некоторыми smtp-серверами
- исправлен пользовательский интерфейс фильтров экспорта
- исправлен экспорт в формат GIF
- исправлен баг с xp style (av при закрытии редактора выражений)
- исправлен av при выделении sysmemo и memo
- исправлено имя файла экспорта по умолчанию в диалоге сохранения
- исправлен TfrxServerConfig.LoadFromFile


Версия 3.17
-------------
+ добавлены новые ресурсы Farsi
+ добавлены кнопки pdf и e-mail экспорта в окно предварительного просмотра
+ добавлено меню по правой кнопке мыши в предварительном просмотре
+ добавлен полноэкранный режим в предварительном просмотре (клавиша F11)
* улучшен экспорт в формат PDF
* ограничено использование некоторых свойств HTML и image экспортов при отправке по e-mail
- [FQB] исправлена ошибка формирования order by ... desc
- исправлена ошибка с пустым свойстовом DefaultPath во всех фильтрах экспорта
- осправлена ошибка Null to OleStr
- исправлена ошибка Delphi5/WideStrings
- исправлена ошибка с jscript/basicscript
- исправлена ошибка ibo (присвоения blob в TWideStrings)
- исправлена ошибка картинок (если blob неправильный)
- исправлены действия горячих клавиш Cut/Copy/Paste в инспекторе объектов
- исправлена ошибка с undo в защищенных паролем отчетах
- исправлена ошибка при получении списка защищенных паролем отчетов в сервере
- исправлена ошибка со свойством Memo.Lines
- IBO исправления


Версия 3.16
-------------
+ добавлена поддержка юникода в TfrxMemoView
+ добавлен экспорт в GIF формат TfrxGifExport
+ добавлен e-mail экспорт (SMTP) TfrxMailExport - 
+ добавлен фильтр экспорта в формат CSV (TfrxCSVExport)
+ добавлен новый фильтр экспорта в текстовый файл (TfrxSimpleTextExport)
+ добавлена зависимость регистра символов в скрипте C++
+ добавлен опция типа оси X в chart объект
+ добавлена возможность использования квадратных скобок взамен угловых
  (как в версии 2.5)
+ [FQB] связи между полями совместимых типов 
+ добавлены default settings для TfrxDesigner (font, paper, rtl, script language). 
+ добавлено событие TfrxDMPExport.OnTranslate
* изменены правила экспорта rich-text объектов
- исправлена ошибка в сервере при использовании параметра "pagenav"
- исправлена ошибка picture.url
- исправлена ошибка в PDF экспорте с горизонтальными/вертикальными линиями
- [FQB] исправленна ошибка 'Control has no parent window' в Delphi 5
- исправлена ошибка в кросс-табах (неверный размер строк/столбцов)
- исправлено выравнивание baClient для объектов страницы
- устранена утечка памяти в режиме сервера
- исправлена ошибка с master-detail DBX
- исправлена ошибка TFMTBCDField (wrong sum calculation)


Версия 3.15
-------------
+ добавлены новые мастера (db connection, table, query)
+ добавлено свойство FlowTo для TfrxDMPMemoView
+ добавлены Болгарские ресурсы
+ добавлена поддержка FibPlus (вы должны установить пакеты Source\FIB\frxFIBx.dpk, 
dclfrxFIBx.dpk вручную)
+ добавлена возможность композиции уже построенных отчетов. Пример:
frxReport1.PrepareReport;
frxReport2.PrepareReport;
frxReport1.PreviewPages.AddFrom(frxReport2);
frxReport1.ShowPreparedReport;
+ добавлены свойства UseFileCache, DefaultPath во все фильтры экспортов
+ улучшены фильтры экспорта в форматы PDF, XLS
* изменена структура языковых ресурсов
* изменены компоненты DBX для работы с bidirectional dataset
- исправлена ошибка сортировки копий при печати
- исправлена ошибка со сдвигом горизонтальных линий
- исправлено поведение DMPLineView.Align = baWidth
- исправлена ошибка TfrxDBLookupComboBox (некорректная работа с field aliases)
- исправлена ошибка при построении списка дотупных отчетов на сервере FastReport


Версия 3.14
-------------
+ поддержка FastQueryBuilder (вызов из окна редактирования SQL запроса)
+ добавлено свойство TfrxOverlay.PrintOnTop
+ добавлен компонент TfrxDMPCommand для печати ESC-последовательностей. 
Используйте свойство Command для печати последовательности:
DMPCommand1.Command := '#27#40' (или '1B28')
+ добавлено событие для скрипта TfrxReport.OnRunDialogs. Используйте его
для ручного управления показом диалогов отчета
+ добавлено свойство Description всем компонентам отчета
* изменено поведение внутренних наборов данных, теперь они могут быть
добавлены на любую страницу отчета (без использования диалоговых форм)
* изменена архитектура движков БД (общий класс TfrxCustomDatabase,
поддержка QBuilder)
- исправлен баг со стилями заливки <> bsSolid
- исправлена ошибка в сервере отчетов при выборке из кеша отчетов с 
одинаковыми переменными
- исправлена ошибка в экспорте XML с типом формата fkNumber


Версия 3.13
-------------
+ добавлено свойство "ExportNotPrintable" во все фильтры экспорта
+ добавлены свойства "Resolution", "SeparateFiles" в фильтры экспорта BMP, JPEG и TIFF
+ улучшена совместимость TfrxHTTPClient с RFC 2068
- исправлена ошибка построения Outline при экспорте в PDF формат
- исправлена ошибка в PDF экспорте при работе с RTL языками (Иврит, Арабский)
- исправлена ошибка формирования заголовка файла при экспорте в TIFF формат
- багофиксы


Версия 3.12
-------------
+ добавлено свойство TfrxReport.StoreInDFM
+ добавлено свойство TfrxShapeView.Curve
+ добавлено свойство TfrxReport.PreviewOptions.OutlineExpand
+ добавлено свойство TfrxXLSExport.FastExport,
установите FastExport := False усли у Вас возникает ошибка OLE error при экспорте в Excel
+ добавлено свойство TfrxXLSExport.PageBreaks                             
+ улучшены фильтры экспорта XLS, PDF, HTML
- исправлена ошибка OLE error при экспорте в Excel
- исправлен экспорт URL ссылок и якорей (anchors) в HTML экспорте
- исправлена ошибка расчета ширин символов при экспорте в PDF
- исправлена ошибка PrintOnParent в фильтрах экспорта 
(Enterprise)
+ добавлено свойство TfrxServerConfig.ReportsList
+ добавлен параметр строки URL запроса 'getvariable' для получения значений внутренних переменных сервера
+ добавлены внутренние переменные сервера SERVER_REPORTS_LIST, SERVER_REPORTS_HTML
+ добавлена функция TfrxReportClient.GetServerVariable(const VariableName: String): String;
+ улучшена производительность TfrxReportServer
+ добавлен пример использования сервера в качестве сервиса NT (см. проект \Demos\ClientServer\Service)
+ полностью переписан пример Advanced Client (см. проект \Demos\ClientServer\Client\Advanced)
+ изменены примеры отчетов в примере Server (см. проект \Demos\ClientServer\Server)
+ изменены html файлы в примере Server (см. проект \Demos\ClientServer\Server)
+ добавлена on-line документация в примере Server (см. \Demos\ClientServer\Server\htdocs\Documentation)
- известные ошибки: отчеты содержащие TfrxRichView (RTF) не работают в режиме сервера при включенном кешировании


Версия 3.11
-------------
+ добавлена поддержка тегов HTML в PDF экспорте
+ добавлена поддержка языков Hebrew, Turkish, Arabic в PDF экспорте
+ добавлено свойство TfrxPDFExport.Background (default = False)
+ добавлены свойства TfrxRTFExport.Creator и TfrxPDFExport.Creator
+ улучшено качество PDF экспорта
+ добавлена поддержка password protected отчетов в режиме client/server
  (Внимание: Не используйте эту возможность совместно с глобальной аутентификацией на сервере)
+ подробный отчет об ошибках при построении отчета на сервере при HTTP подключении 

- исправлено наименование свойств TfrxServerConnection.Proxy и TfrxServerConnection.ProxyPort 
  (нажмите кнопку 'ignore' при загрузке проекта для автоматического исправления полей в компонентах)
- исправлена ошибка очистки кеша при останове сервера
- исправлена ошибка отрисовки фона в HTML экспорте на сервере
- багофиксы


Версия 3.10
-------------
+ добавлены Swiss, Portuguese, Latvian ресурсы
+ добавлено событие TfrxReport.OnEndDoc
+ улучшения в фильтрах экспорта
+ добавлен outline в экспорте PDF (св-во TfrxPDFExport.Outline)
+ добавлено свойство TfrxXLSExport.AsText
+ добавлены свойства TfrxPDFExport.Author, TfrxPDFExport.Subject
+ добавлено свойство "Stream" в фильтры экспорта
+ добавлено свойство TfrxReportServer.OnAfterBuildReport
- багофиксы


Версия 3.09
-------------
- багофиксы


Версия 3.08
-------------
+ добавлено свойство TfrxMemoView.Clipped
+ добавлено событие TfrxReport.OnAfterPrintReport
+ добавлено baClient в свойство Align
+ добавлены Danish, Chinese ресурсы
+ возможно использование русских имен в скрипте
+ добавлено свойство TfrxPDFExport.PrintOptimized
+ увеличена скорость работы фильтра экспорта в формат Excel export
+ добавлена функция "Log rotate" в версии Client/Server
- багофиксы


Версия 3.07
-------------
+ добавлены пакеты Delphi2005
+ добавлено свойство TfrxReport.Modified
+ добавлено свойство TfrxReport.EngineOptions.DestroyForms
+ добавлены Polish, Swedish, Romanian ресурсы
+ добавлена поддержка выражений в кросс-таб объект
* изменения в вызове агрегатных функций: символы <> больше не нужны
* изменения в функции IIF: теперь она работает как макрос
- багофиксы


Версия 3.06
-------------
+ добавлены пакеты BCB для FR3 Enterprise
+ добавлено событие TfrxReportServer.OnGetVariables
+ улучшения в фильтре экспорта в PDF
+ улучшения в фильтре экспорта в RTF
- багофиксы


Версия 3.05
-------------
+ добавлено свойство TfrxReport.ShowProgress 
- багофиксы


Версия 3.04
-------------
+ добавлены Taiwan, Italian, Slovene, Spanish, Catalon, Dutch ресурсы
+ добавлен модуль "frxPBarcode.pas" для PSOFT BarcodeLibrary 
  (http://www.psoft.sk)
+ добавлены функции DayOf, MonthOf, YearOf
+ добавлен "Multi-language wizard" для быстрого создания многоязыкового файла
  ресурсов
+ добавлены свойства TfrxReport.OldStyleProgress, OnProgressSTart, OnProgress, 
  OnProgressStop
- багофиксы


Версия 3.03
-------------
+ добавлены Czech, Turkish ресурсы
+ добавлены свойства TfrxUserDataset.Fields, TfrxUserDataset.OnGetValue
+ редакция 1.01 документации (добавлены номера страниц)
+ добавлено свойство TfrxDataBand.KeepHeader
- багофиксы


Версия 3.02
-------------
+ добавлены Serbian ресурсы
+ добавлена библиотека DelphiFastZLib (вместо стандартной zlib) для устранения
  конфликта между FR3 и JediVCL
+ добавлена функция group/ungroup в дизайнере
+ добавлена утилита для быстрой компиляции пакетов FR
* изменения в объекте Chart - необходимо переделать отчеты, содержащие
  этот объект!
- багофиксы


Версия 3.01
-------------
+ добавлены Ukrainian, Brazil, Hungarian, German, French ресурсы
+ добавлено свойство TfrxReport.EnabledDatasets
+ добавлено свойство TfrxCrossView.PlainCells
+ добавлены отдельные пакеты для DB и IBO
+ добавлены отдельные пакеты FastScript для DB, BDE, IBX, ADO
* изменения в фильрах экспорта RTF и PDF
- багофиксы


Версия 3.0
-------------
- релиз